Drupal.behaviors.themeFit = function (context){

	// root
	var $root = $(Drupal.settings.themefit.root.selector);
	var rw = $root.width() * Drupal.settings.themefit.root.percent / 100;
	
	var fit = function(target, parent, scaleUp){
		$(target).each(function(){
			
			$parent = $(this).parents(parent).eq(0);
			
			var maxwidth = $parent.width();
			if(!maxwidth) return this;
			
			if(!$(this).attr('ow')) $(this).attr('ow', $(this).attr('width') );
			if(!$(this).attr('oh')) $(this).attr('oh', $(this).attr('height') );
			
			var wr = $(this).attr('ow') / maxwidth;
			if(wr < 1 && !scaleUp) return;

			var w = maxwidth;
			var h = Math.round( $(this).attr('oh') / wr);
			
			$(this).css({width: w, height: h});
			
		});
	}
	
	var onResize = function(){
		
		var elements = Drupal.settings.themefit.elements;
		for(var p in elements){
			var e = elements[p];
			if(e.enabled) fit(e.target, e.parent, e.scaleUp);
		}
		
	};
	
	
	$(window).bind('resize', function(){
		onResize();
	});
	$(window).load(function(){
        onResize();
    });

}